cat <<EOF > test_getline.cxx
// Let's see if it works...
#include <iostream>
#include <string>
int main()
{
    std::string s;
    std::getline(std::cin, s);
    std::cout << "You entered \"" << s << "\".\n";
    return 0;
}
EOF

uname -a
apt-cyg show | grep "cygwin"
g++ --version

for std in c++98 c++03 c++11 c++14 c++17 gnu++98 gnu++03 gnu++11 gnu++14 gnu++17 ; do
    for opt in 0 1 2 3 ; do
        echo -n "### -std=${std} -O${opt} ###: "
        g++ -Wall -Wextra -std=${std} -O${opt} test_getline.cxx -o test_getline &&
            ./test_getline < test_getline.cxx
    done
done 2>&1 | sed 's| \{5,\}| |g'
